EBOOK-META(1)

NAME
ebook-meta - ebook-meta

            rog ebook_file [opcións]

Ler/escribir metadatos desde/para ficheiros de libros electrónicos.

Formatos admitidos para ler metadatos: azw, azw1, azw3, azw4, cb7, cbc, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, kepub, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip

Formatos admitidos para escribir metadatos: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, kepub, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz

Os distintos tipos de ficheiros admiten distintos tipos de metadatos. Se tentas configurar algúns metadatos nun tipo de ficheiro que non o admite, os metadatos serán ignorado en silencio.

Sempre que lle pases argumentos a ebook-meta que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

[OPCIÓNS]

    --author-sort
        Esta é a cadea que se empregara cando se ordea por nome. De non especificarse, xerarase a través dos nomes dos/as autores/as.

    --authors, -a
        Estabelecer a autoría. Se hai varios autores, deberán separarse co símbolo &. A orde dos nomes dos autores ten de ser Nome Apelido.

    --book-producer, -k
        Definir o produtor do libro.

    --category
        Definir a categoría do libro.

    --comments, -c
        Establece a descrición do libro electrónico.

    --cover
        Definir a capa do ficheiro especificado.

    --date, -d
        Estabelecer a data de publicación.

    --disallow-rendered-cover
        Para formatos como EPUB que usan unha «portada predeterminada» da primeira páxina renderizada, desactivar este tipo de cubertas predeterminadas.

    --from-opf
        Lea os metadatos do ficheiro OPF especificado e utilízaos para establecer metadatos no libro electrónico. Os metadatos especificados na liña de comandos anularán os metadatos lidos do ficheiro OPF

    --get-cover
        Obtén a portada do libro electrónico e gárdaa como ficheiro especificado.

    --help, -h
        mostrar esta mensaxe de axuda e saír

    --identifier
        Define os identificadores para o libro; pódense especificar varias veces. Por exemplo: --identifier uri:https://acme.com --identifier isbn:12345 Para eliminar un identificador, non especifique ningún valor. --identifier isbn: Ten en conta que para os ficheiros EPUB non se pode eliminar un identificador marcado como identificador do paquete.

    --index, -i
        Estabelecer a posición que ocupa o libro nesta colectánea.

    --isbn
        Definir o ISBN do libro.

    --language, -l
        Definir o idioma.

    --lrf-bookid
        Estabelecer o ficheiro BookID en ficheiros de LRF

    --publisher, -p
        Establece o editor de libros electrónicos.

    --rating, -r
        Estabelecer a valoración. Debe ser un número entre 1 e 5.

    --series, -s
        Establece a serie á que pertence este libro electrónico.

    --tags
        Estabelecer etiquetas para o libro. Debe ser unha lista separada por comas.

    --title, -t
        Definir o título.

    --title-sort
        Está é a versión do título que se empregará para ordenar. De non especificarse, xerarase automaticamente a partir do título.

    --to-opf
        Especificar o nome dun ficheiro de OPF. Os metadatos escribiranse no ficheiro de OPF.

    --version
        mostrar o número de versión do programa e saír

Author
Kovid Goyal

Copyright
Kovid Goyal